Subject: [PATCH gnome-team 00/25] Update the GNOME Shell extensions

From: Vivien Kraus <[email-masked]>
Date: Thu, 18 Jan 2024 00:03:42 +0100

Dear Guix,

My GNOME shell now resembles a full airliner cockpit, but I have more or less checked
that the extensions work.

There is 1 exception though: the built-in Applications Menu extension (bundled with gnome-shell-extensions) displays a line of error. I cannot enable it:

    Requiring GMenu, version none: Typelib file for namespace 'GMenu' (any version) not found

As far as I remember, GMenu should be a GLib thing, and gnome-shell-extensions
already propagates glib. Do you have an idea? Should I wrap something? If so,
what?

I think we should not keep the extensions that have not been ported to the
oldstable GNOME 44. I removed them, but I updated the style before that in
case someone decides to port them after all.

Best regards,

Vivien

Vivien Kraus (25):
  gnu: gnome-shell-extension-dash-to-dock: Update to 79.
  gnu: gnome-shell-extension-hide-app-icon: Modernize style.
  gnu: Remove gnome-shell-extension-hide-app-icon.
  gnu: gnome-shell-extension-dash-to-panel: Update to 56.
  gnu: gnome-shell-extension-unite-shell: Update to 72.
  gnu: gnome-shell-extension-appindicator: Update to 53.
  gnu: gnome-shell-extension-clipboard-indicator: Update to 47.
  gnu: gnome-shell-extensions-customize-ibus: Update to 86.
  gnu: gnome-shell-extension-topicons-redux: Update style.
  gnu: gnome-shell-extension-gsconnect: Update to 55.
  gnu: gnome-shell-extension-blur-my-shell: Update to 47.
  gnu: gnome-shell-extension-burn-my-windows: Update to 40.
  gnu: gnome-shell-extension-radio: Update to 21.
  gnu: gnome-shell-extension-jiggle: Update style.
  gnu: Remove gnome-shell-extension-jiggle.
  gnu: gnome-shell-extension-just-perfection: Update to 26.0.
  gnu: gnome-shell-extension-night-theme-switcher: Update to 74.
  gnu: gnome-shell-extension-noannoyance: Update style.
  gnu: Remove gnome-shell-extension-noannoyance.
  gnu: gnome-shell-extension-paperwm: Update to 44.17.0.
  gnu: Remove gnome-shell-extension-sound-output-device-chooser.
  gnu: Remove gnome-shell-extension-topicons-redux.
  gnu: Remove gnome-shell-extension-transparent-window.
  gnu: gnome-shell-extension-vertical-overview: Update style.
  gnu: Remove gnome-shell-extension-vertical-overview.

 gnu/packages/gnome-xyz.scm | 643 +++++++++++--------------------------
 1 file changed, 196 insertions(+), 447 deletions(-)

base-commit: 2cbb1a6e1e2679c7db74b6b906d223fb3661d09f
-- 
2.41.0